Subject: Re: bug#7130: 24.0.50; EPA queries twice and doesn't cache passwords when decrypting files

From: Tassilo Horn <[email-masked]>
Date: Mon, 04 Oct 2010 21:01:13 +0200

Daiki Ueno <[email-masked]> writes:

Hi!

>> The caching in the agent works fine with the recipe above.
>
> Now I am wondering what is your problem.

Nay, I was wrong.  The gpg-agent (gnupg2) caching doesn't work for me,
too.  When I do exactly that

--8<---------------cut here---------------start------------->8---
$ echo aaa > test.txt
$ gpg2 --symmetric test.txt
$ pkill -HUP gpg-agent
$ gpg2 < test.txt.gpg
$ gpg2 < test.txt.gpg
--8<---------------cut here---------------end--------------->8---

I'm queried twice for the password.  Do I have to start gpg-agent with a
special option or edit my ~/.gnupg/gpg.conf?

Bye,
Tassilo